/* Read and display a Pro-Board PCB index file */

/* Add the Support Library if not already in the system                */
IF ~SHOW('L', 'rexxsupport.library') THEN
  CALL ADDLIB('rexxsupport.library',0,-30)

IF ~EXISTS('BOARD') THEN
DO
  SAY "No BOARD index file in this directory."
  EXIT
END

PARSE VALUE STATEF('BOARD') WITH Type Size Other

OPEN('INDEX', 'BOARD', 'r')

/* Translate 0x00 to 0x0A for display */
SAY TRANSLATE(READCH('INDEX', Size), '0A'x, '00'x)

CLOSE('INDEX')
